#
# spec file for package lmicc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (C) 2013-2014, Martin Hatina <mhatina@redhat.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lib_path lmicc

Name:           lmicc
Version:        0.1.1
Release:        4.1
Summary:        GUI for OpenLMI
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/Management
%if 0%{?suse_version}
%else
%endif
Url:            https://github.com/mhatina/openlmi_gui 
Source0:        lmicc.tar.gz 
# PATCH-FIX-SUSE, src/ui needs -lboost_system
Patch:          %{name}-0.1.0.patch

%if 0%{?suse_version}
%define qmake qmake
BuildRequires:  libqt4-devel >= 4.8.5
BuildRequires:  tog-pegasus-devel >= 2.12.0
%else
%define qmake qmake-qt4
BuildRequires:  lmicc-logger
BuildRequires:  qt-devel >= 4.8.5
BuildRequires:  tog-pegasus-devel >= 2.12.0
BuildRequires:  tog-pegasus-libs >= 2.12.0
%endif
BuildRequires:  boost-devel >= 1.54.0
BuildRequires:  libgnome-keyring-devel >= 3.10.1
BuildRequires:  openslp-devel >= 1.2.1
Requires:       boost >= 1.54.0
Requires:       boost-thread >= 1.54.0
Requires:       libgnome-keyring >= 3.10.1
Requires:       lmicc-bin
Requires:       openslp >= 1.2.1
Requires:       tog-pegasus >= 2.12.0

%package bin
Summary:        binary for %{name}
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/Management
%if !0%{?suse_version}
Requires:       lmicc-logger
%endif
Requires:       lmicc-overview

#%package doc
#Summary:        Documentation for %{name}
#Group:          Documentation

%package libs
Summary:        Collection of libs for GUI for OpenLMI
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries
Requires:       lmicc-account
Requires:       lmicc-hardware
Requires:       lmicc-network
Requires:       lmicc-service
Requires:       lmicc-software

%if 0%{?suse_version}
%package -n     liblmicclogger1
Summary:        Logger for lmicc
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/Management

%description -n liblmicclogger1
%{name} is a logger for Graphical User Interface for OpenLMI.
%else
%package        logger
Summary:        Logger for lmicc
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/Management

%description    logger
%{name} is a logger for Graphical User Interface for OpenLMI.
%endif

#%package logger-doc
#Summary:        Documentation for %{name}-logger
#Group:          Documentation

#%description    logger-doc
#%{summary}

%package account
Summary:        Account tab for %{summary}
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries

%package hardware
Summary:        Hardware tab for %{summary}
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries

%package network
Summary:        Network tab for %{summary}
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries

%package overview
Summary:        Overview tab for %{summary}
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries

%package service
Summary:        Service tab for %{summary}
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries

%package software
Summary:        Software tab for %{summary}
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries

%description
%{name} is a Graphical User Interface for OpenLMI.

%description bin
%{summary}

#%description doc
#%{summary}

%description libs
%{summary}

%description account
%{summary} 

%description hardware
%{summary}      

%description network
%{summary} 

%description overview
%{summary} 

%description service
%{summary}      

%description software
%{summary} 

%prep
%setup -q -n %{name}-%{version}
%if 0%{?suse_version}
%patch -p1
%endif

%build
cd src/logger
%{qmake} PREFIX=%{buildroot} LIB_PATH=%{_libdir}
make
cd ../..
%{qmake} PREFIX=%{buildroot}/usr/ LIB_PATH=%{_lib}
make 

%install
make -C src/logger install
make -C src/ui install
make -C src/plugin install

export QA_SKIP_BUILD_ROOT="true"

# FIXME - needs lmicc-logger-devel
rm %{buildroot}%{_libdir}/*.so

%if 0%{?suse_version}
%post -n liblmicclogger1 -p /sbin/ldconfig
%postun -n liblmicclogger1 -p /sbin/ldconfig
%endif

# %files

%if 0%{?suse_version}
%files -n liblmicclogger1
%defattr(-,root,root,0755)  
%doc LICENSE README.md
%{_libdir}/lib*.so.*
%else
%files logger
%defattr(-,root,root,0755)  
%doc LICENSE README.md
%{_libdir}/lib*
%endif

#%files logger-doc
#%dir %{_docdir}/%{name}

%files bin
%defattr(-,root,root,0755)
%doc LICENSE README.md
%{_bindir}/lmicc 

#%files doc
#%dir %{_docdir}/%{name}

%files libs

%files account
%defattr(-,root,root)
%dir %{_libdir}/%{lib_path}
%{_libdir}/%{lib_path}/liblmiccaccount*

%files hardware
%defattr(-,root,root)
%dir %{_libdir}/%{lib_path}
%{_libdir}/%{lib_path}/liblmicchardware*

%files network
%defattr(-,root,root)
%dir %{_libdir}/%{lib_path}
%{_libdir}/%{lib_path}/liblmiccnetwork*

%files overview
%defattr(-,root,root)
%dir %{_libdir}/%{lib_path}
%{_libdir}/%{lib_path}/liblmiccoverview*

%files service
%defattr(-,root,root)
%dir %{_libdir}/%{lib_path}
%{_libdir}/%{lib_path}/liblmiccservice*

%files software
%defattr(-,root,root)
%dir %{_libdir}/%{lib_path}
%{_libdir}/%{lib_path}/liblmiccsoftware*

%changelog
* Thu Oct 23 2014 kkaempf@suse.com
- Update to version 0.1.1
  - network tab changed
  - about dialog
  - possibility to report bug
  - buttons in tabs hidden
  - context menu added to account, service, software tabs
  - various fixes
* Tue Oct 14 2014 kkaempf@suse.com
- Initial version 0.1.0
